VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "registre"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

'REGISTRY.CLS
'permet de travailler sur la base de registre Windows


Private msAppname As String
Private msSection As String
Private msKey As String
Private msSetting As String

'~~~AppName
Public Property Get Appname() As String
    Appname = msAppname
End Property
Public Property Let Appname(ByVal sAppName As String)
    msAppname = sAppName
End Property

'~~~Section
Public Property Get Section() As String
    Section = msSection
End Property
Public Property Let Section(ByVal sSection As String)
    msSection = sSection
End Property

'~~~Key
Public Property Get Key() As String
    Key = msKey
End Property
Public Property Let Key(ByVal sKey As String)
    msKey = sKey
End Property

'~~~Setting
Public Property Get Setting() As String
    Setting = msSetting
End Property
Public Property Let Setting(ByVal sSetting As String)
    msSetting = sSetting
End Property

'~~~RegGet
'appelle le fonction GetSettings de VB
'on utilise pas le paramtre optionnel Default de cette fonction
'donc si la cl msKey n'est pas trouv dans la Base de Registres
'la fonction GetSettings renvoie une chaine vide
Public Sub RegGet()
    msSetting = GetSetting(msAppname, msSection, msKey)
End Sub

'~~~RegSave
Public Sub RegSave()
    SaveSetting msAppname, msSection, msKey, msSetting
End Sub

'~~~RegDel
Public Sub RegDel()
    DeleteSetting msAppname, msSection, msKey
End Sub
