Attribute VB_Name = "initialise"
'*********************
' contient toutes les fonctions utilises
' pour l'initialisation de l'application
'*********************

Option Explicit


'la constante Win32 est vrai si l'environnement est 32 bits
'fausse sinon
#If Win32 Then
'fonction API pour Windows 32 bits dterminant
'le chemin d'installation de Windows
Public Declare Function GetWindowsDirectory _
Lib "kernel32" Alias "GetWindowsDirectoryA" ( _
    ByVal lpBuffer As String, _
    ByVal nSize As Long _
) As Long
#End If

' renvoie le rpertoire d'installation de Windows
' utilise une fonction API appele GetWindowsDirectory
Public Function cherchewindir() As String
    'determination du rep d'install de Windows
    On Error GoTo errcherchewindir
    Dim WinPath As String
    Dim Rtn As Integer
    Const MAXWINPATH = 144
    WinPath = Space$(MAXWINPATH)
    Rtn = GetWindowsDirectory(WinPath, MAXWINPATH)
    WinPath = Left$(WinPath, Rtn) 'Couper  l'octet  0
    cherchewindir = WinPath
    Exit Function
'gestion des erreurs
errcherchewindir:
    cherchewindir = "?"
End Function

' recherche la langue utilise par Windows
' renvoie la chaine contenat l'infdentification de la langue
' ou un point d'interrogation ? si l'identificateur de la langue n'est pas trouv
Public Function cherchelangue() As String
    On Error GoTo errcherchelangue
    Dim WinPath As String
    Dim ligne As String
    Dim cherche As String
    Dim errormessage As String
    Dim numfile As Integer
    'determination du repertoire d'installation de Windows
    WinPath = cherchewindir
    'determination d'un id libre de fichier
    numfile = FreeFile
    'ouverutre de win.ini en lecture seule, mode squentiel
    Open WinPath & "\win.ini" For Input As numfile
    'recherche de la langue
    'Une comparaison avec respect des majuscules et
    'des minuscules
    'InStr(1, ligne, "sLanguage", 0)
    'la recherche commence  la position 1
    'se fait dans la chaine ligne et cherche la squence sLanguage
    'InStr renvoie la position a position de la premire occurrence trouve
    'ou 0 si la recherche n'aboutit pas
    Line Input #numfile, ligne
    Do Until EOF(numfile) Or InStr(1, ligne, "sLanguage", 0) <> 0
        Line Input #numfile, ligne
    Loop
    If InStr(1, ligne, "sLanguage", 0) <> 0 Then
        'ligne contient l'info cherch
        'determination de la chaine langue
        cherche = Mid(ligne, 11, 3)
    Else
        cherche = "?"
    End If
    cherchelangue = cherche
    Exit Function
'gestion d'erreur
errcherchelangue:
    'les messages d'erreur lors du premier lancement sont en franais
    errormessage = "Problme lors de la recherche de la langue courante dans win.ini" & vbCrLf & _
    "Le logiciel sera charg en franais."
    MsgBox errormessage, vbOKOnly + vbCritical, "SOULE ME"
    cherchelangue = "?"
End Function
'procdure qui centre la feuille charge
Public Sub centrerform(frm As Form)
    frm.Left = (Screen.Width - frm.Width) \ 2
    frm.Top = (Screen.Height - frm.Height) \ 2
End Sub
'procdure qui dimensionne la feuille charge
Public Sub dimensionnerform(frm As Form)
    frm.Width = Screen.Width  ' Dfinit la largeur de la feuille.
    frm.Height = Screen.Height    ' Dfinit la hauteur de la feuille.
End Sub


